Bug 1399366 - Review Request: prooftree - Proof tree visualization for Proof General
Summary: Review Request: prooftree - Proof tree visualization for Proof General
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-28 21:37 UTC by Jerry James
Modified: 2016-12-11 00:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-11 00:28:11 UTC
Type: ---
puntogil: fedora-review+


Attachments (Terms of Use)

Description Jerry James 2016-11-28 21:37:25 UTC
Spec URL: https://jjames.fedorapeople.org/prooftree/prooftree.spec
SRPM URL: https://jjames.fedorapeople.org/prooftree/prooftree-0.12-1.fc26.src.rpm
Description: Prooftree is a program for proof-tree visualization during interactive
proof development in a theorem prover.  It is currently being developed
for Coq and Proof General.  Prooftree helps against getting lost between
different subgoals in interactive proof development.  It clearly shows
where the current subgoal comes from and thus helps in developing the
right plan for solving it.

Prooftree uses different colors for the already proven subgoals, the
current branch in the proof and the still open subgoals.  Sequent texts
are not displayed in the proof tree itself, but they are shown as a
tool-tip when the mouse rests over a sequent symbol.  Long proof
commands are abbreviated in the tree display, but show up in full length
as tool-tip.  Both, sequents and proof commands, can be shown in the
display below the tree (on single click) or in a separate window (on
double or shift-click).

Prooftree can mark the proof command that introduced a certain
existential variable and thus help to locate the problem when Coq says:
No more subgoals but non-instantiated existential variables
Fedora Account System Username: jjames

Comment 1 gil cattaneo 2016-11-28 23:35:49 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 5 files have
     unknown license. Detailed output of licensecheck in
     /home/gil/1399366-prooftree/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     http://askra.de/software/prooftree/releases/prooftree-0.12.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: prooftree-0.12-1.fc26.i686.rpm
          prooftree-0.12-1.fc26.src.rpm
prooftree.i686: W: spelling-error %description -l en_US prover -> prove, rover, proverb
prooftree.i686: W: spelling-error %description -l en_US subgoals -> sub goals, sub-goals, subtotals
prooftree.i686: W: spelling-error %description -l en_US subgoal -> sub goal, sub-goal, subtotal
prooftree.i686: W: spelling-error %description -l en_US Sequent -> Subsequent, Sequence, Consequent
prooftree.i686: W: spelling-error %description -l en_US sequent -> subsequent, sequence, consequent
prooftree.i686: W: spelling-error %description -l en_US sequents -> subsequent, frequents, consequent
prooftree.src: W: spelling-error %description -l en_US prover -> prove, rover, proverb
prooftree.src: W: spelling-error %description -l en_US subgoals -> sub goals, sub-goals, subtotals
prooftree.src: W: spelling-error %description -l en_US subgoal -> sub goal, sub-goal, subtotal
prooftree.src: W: spelling-error %description -l en_US Sequent -> Subsequent, Sequence, Consequent
prooftree.src: W: spelling-error %description -l en_US sequent -> subsequent, sequence, consequent
prooftree.src: W: spelling-error %description -l en_US sequents -> subsequent, frequents, consequent
prooftree.src:53: W: configure-without-libdir-spec
2 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (debuginfo)
-------------------
Checking: prooftree-debuginfo-0.12-1.fc26.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
prooftree.i686: W: spelling-error %description -l en_US prover -> prove, rover, proverb
prooftree.i686: W: spelling-error %description -l en_US subgoals -> sub goals, sub-goals, subtotals
prooftree.i686: W: spelling-error %description -l en_US subgoal -> sub goal, sub-goal, subtotal
prooftree.i686: W: spelling-error %description -l en_US Sequent -> Subsequent, Sequence, Consequent
prooftree.i686: W: spelling-error %description -l en_US sequent -> subsequent, sequence, consequent
prooftree.i686: W: spelling-error %description -l en_US sequents -> subsequent, frequents, consequent
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
prooftree (rpmlib, GLIBC filtered):
    libatk-1.0.so.0
    libc.so.6
    libcairo.so.2
    libdl.so.2
    libfontconfig.so.1
    libfreetype.so.6
    libgdk-x11-2.0.so.0
    libgdk_pixbuf-2.0.so.0
    libgio-2.0.so.0
    libglib-2.0.so.0
    libgobject-2.0.so.0
    libgtk-x11-2.0.so.0
    libm.so.6
    libpango-1.0.so.0
    libpangocairo-1.0.so.0
    libpangoft2-1.0.so.0
    rtld(GNU_HASH)



Provides
--------
prooftree:
    prooftree
    prooftree(x86-32)



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1399366 --plugins C/C++ -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Jerry James 2016-11-29 02:14:41 UTC
Thank you very much for the review, gil.

Comment 3 Gwyn Ciesla 2016-11-29 13:23:53 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/prooftree

Comment 4 Fedora Update System 2016-11-29 15:07:45 UTC
prooftree-0.12-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b4afed48e2

Comment 5 Fedora Update System 2016-12-03 04:31:08 UTC
prooftree-0.12-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b4afed48e2

Comment 6 Fedora Update System 2016-12-11 00:28:11 UTC
prooftree-0.12-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.